<ui:composition 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pu="http://primefaces.org/ultima">
    
    <h:form id="menuform"> 
        <div class="layout-menu #{guestPreferences.menuClass}">
            <div class="nano">
                <div class="nano-content menu-scroll-content">
                    <ui:fragment rendered="#{guestPreferences.profileMode == 'inline' and guestPreferences.menuLayout != 'menu-layout-static menu-layout-horizontal'}">
                        <div class="profile">
                            <div class="profile-image"></div>
                            <a id="profile-options" href="#">
                                <span class="profile-name">#{identity.user.username}</span>
                                <i class="material-icons">&#xE313;</i>
                            </a>
                        </div>
                    
                        <ul id="profile-menu" class="ultima-menu">
                            <li role="menuitem">
                               <h:commandLink action="#{userctr.doGoToUpdate()}"  value="Profile"/>
                            </li>
                     

                            <li role="menuitem">
                               <h:commandLink action="#{identity.doLogOut()}"  value="Logout"/>
                            </li>
                        </ul>
                    </ui:fragment>
                    
                    <pu:menu widgetVar="me">
                        <p:menuitem id="um_dashboard" value="Dashboard" icon="&#xE871;" outcome="/dashboard"/>
                        <p:menuitem id="um_Events" value="Events" icon="crop-original" outcome="/views/event/index"/>
                        <p:submenu id="themes" label="Themes" icon="&#xE40A;">
                            <f:attribute name="badge" value="5" />
                            <p:menuitem id="theme1" value="Indigo - Pink" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('indigo')}" ajax="false" />
                            <p:menuitem id="theme2" value="Brown - Green" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('brown')}" ajax="false" />
                            <p:menuitem id="theme3" value="Blue - Amber" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('blue')}" ajax="false" />
                            <p:menuitem id="theme4" value="Blue Grey - Green" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('blue-grey')}" ajax="false" />
                            <p:menuitem id="theme5" value="Dark - Blue" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('dark-blue')}" ajax="false" />
                            <p:menuitem id="theme6" value="Dark - Green" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('dark-green')}" ajax="false" />
                            <p:menuitem id="theme7" value="Green - Yellow" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('green')}" ajax="false" />
                            <p:menuitem id="theme8" value="Purple - Cyan" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('purple-cyan')}" ajax="false" />
                            <p:menuitem id="theme9" value="Purple - Amber" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('purple-amber')}" ajax="false" />
                            <p:menuitem id="theme10" value="Teal - Lime" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('teal')}" ajax="false" />
                            <p:menuitem id="theme11" value="Cyan - Amber" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('cyan')}" ajax="false" />
                            <p:menuitem id="theme12" value="Grey - Deep Orange" icon="&#xE3AE;" actionListener="#{guestPreferences.setTheme('grey')}" ajax="false" />
                        </p:submenu>
                        <p:submenu id="um_customization" label="Customization" icon="&#xE8B8;" styleClass="amber-badge">
                            <f:attribute name="badge" value="10" />
                            <p:menuitem id="custom1" value="Compact Size" icon="&#xE061;" actionListener="#{guestPreferences.setCompact(true)}" ajax="false"/>
                            <p:menuitem id="custom2" value="Material Size" icon="&#xE062;" actionListener="#{guestPreferences.setCompact(false)}" ajax="false"/>
                            <p:menuitem id="custom3" value="Static Menu" icon="&#xE5D2;" actionListener="#{guestPreferences.setMenuLayout('static')}" ajax="false"/>
                            <p:menuitem id="custom4" value="Overlay Menu" icon="&#xE879;" actionListener="#{guestPreferences.setMenuLayout('overlay')}" ajax="false"/>
                            <p:menuitem id="custom5" value="Slim Menu" icon="&#xE879;" actionListener="#{guestPreferences.setMenuLayout('slim')}" ajax="false"/>
                            <p:menuitem id="custom6" value="Horizontal Menu" icon="&#xE22C;" actionListener="#{guestPreferences.setMenuLayout('horizontal')}" ajax="false"/>
                            <p:menuitem id="custom7" value="Light Menu" icon="&#xE893;" actionListener="#{guestPreferences.setLightMenu}" ajax="false" />
                            <p:menuitem id="custom8" value="Dark Menu" icon="&#xE892;" actionListener="#{guestPreferences.setDarkMenu}" ajax="false"/>
                            <p:menuitem id="custom9" value="Inline Profile" icon="&#xE0BA;" actionListener="#{guestPreferences.setProfileMode('inline')}" ajax="false" />
                            <p:menuitem id="custom10" value="Top Profile" icon="&#xE55A;" actionListener="#{guestPreferences.setProfileMode('overlay')}" ajax="false"/>
                        </p:submenu>
                         <p:submenu id="um_orientation" label="Orientation" icon="&#xE237;">
                            <p:menuitem id="um_ltr" value="LTR" icon="&#xE236;" actionListener="#{guestPreferences.setOrientationRTL(false)}" ajax="false" />
                            <p:menuitem id="um_rtl" value="RTL" icon="&#xE237;" actionListener="#{guestPreferences.setOrientationRTL(true)}" ajax="false" />
                        </p:submenu>
                        <p:submenu id="um_components" label="Components" icon="&#xE896;">
                            <p:menuitem id="um_sample" value="Sample Page" icon="&#xE30B;" outcome="/sample" />
                            <p:menuitem id="um_forms" value="Forms" icon="&#xE890;" outcome="/forms" />
                            <p:menuitem id="um_data" value="Data" icon="&#xE3EC;" outcome="/data" />
                            <p:menuitem id="um_panels" value="Panels" icon="&#xE14F;" outcome="/panel" />
                            <p:menuitem id="um_overlays" value="Overlays" icon="&#xE14D;" outcome="/overlay" />
                            <p:menuitem id="um_menus" value="Menus" icon="&#xE5D2;" outcome="/menu" />
                            <p:menuitem id="um_messages" value="Messages" icon="&#xE0C9;" outcome="/messages" />
                            <p:menuitem id="um_charts" value="Charts" icon="&#xE24B;" outcome="/charts" />
                            <p:menuitem id="um_file" value="File" icon="&#xE226;" outcome="/file" />
                            <p:menuitem id="um_misc" value="Misc" icon="&#xE332;" outcome="/misc" />
                        </p:submenu>
                        <p:submenu id="um_default" label="Template Pages" icon="&#xE884;">
                            <p:menuitem id="um_db_landing" value="Landing" icon="&#xE904;" outcome="/landing"/>
                            <p:menuitem id="um_empty" value="Empty Page" icon="&#xE88B;" outcome="/empty" />
                            <p:menuitem id="um_login" value="Login Page" icon="&#xE8E8;" outcome="/login" />
                            <p:menuitem id="um_error" value="Error Page" icon="&#xE000;" outcome="/error" />
                            <p:menuitem id="um_404" value="404 Page" icon="&#xE001;" outcome="/404" />
                            <p:menuitem id="um_access" value="Access Denied Page" icon="&#xE32A;" outcome="/access" />
                        </p:submenu>
                        <p:submenu id="um_hierarchy" label="Menu Hierarchy" icon="&#xE5D2;">
                            <p:submenu id="um_sm1" label="Submenu 1" icon="&#xE8D2;">
                                <p:submenu id="um_sm11" label="Submenu 1.1" icon="&#xE8D2;">
                                    <p:menuitem id="um_lnk111" value="Link 1.1.1" icon="&#xE8D2;" url="#" />
                                    <p:menuitem id="um_lnk112" value="Link 1.1.2" icon="&#xE8D2;" url="#" />
                                    <p:menuitem id="um_lnk113" value="Link 1.1.3" icon="&#xE8D2;" url="#" />
                                </p:submenu>
                                <p:submenu id="um_sm12" label="Submenu 1.2" icon="&#xE8D2;">
                                    <p:menuitem id="um_lnk121" value="Link 1.2.1" icon="&#xE8D2;" url="#" />
                                </p:submenu>
                            </p:submenu>
                            <p:submenu id="um_sm2" label="Submenu 2" icon="&#xE8D2;">
                                <p:submenu id="um_sm21" label="Submenu 2.1" icon="&#xE8D2;">
                                    <p:menuitem id="um_lnk211" value="Link 2.1.1" icon="&#xE8D2;" url="#" />
                                    <p:menuitem id="um_lnk212" value="Link 2.1.2" icon="&#xE8D2;" url="#" />
                                </p:submenu>
                                <p:submenu id="um_sm22" label="Submenu 2.2" icon="&#xE8D2;">
                                    <p:menuitem id="um_lnk221" value="Link 2.2.1" icon="&#xE8D2;" url="#" />
                                </p:submenu>
                            </p:submenu>
                        </p:submenu>
                        <p:menuitem id="um_utils" value="Utils" icon="&#xE869;" outcome="/utils"/>
                        <p:menuitem id="um_doc" value="Documentation" icon="&#xE880;" outcome="/docs"/>
                    </pu:menu>
                </div>
            </div>
        </div>
    </h:form>
</ui:composition>